--	Painter
--	String-coloring class.


local addonName, addonTable = ...


local Painter = addonTable.classes:NewClass("Painter")


--	Quick and dirty implementation
--	I'll work on a better one separately
function Painter:Paint(separator, defaultColor, prefix, ...)
	assert(defaultColor)
	
	separator = separator or " "
	
	--	the vararg could end in nils so use select 
	--	on it rather than table.maxn(units)
	local unitCount = select("#", ...)
	local units
	
	if prefix then
		units = { prefix, ... }
		unitCount = unitCount + 1
	else
		units = {...}
	end
	
	for i=1, unitCount do
		units[i] = string.format("|c%s%s", defaultColor, tostring(units[i]) or "nil")
	end
	
	return table.concat(units[i], separator)
end	
